import { XyoIterableStructure, XyoStructure } from '../object-model';
import { XyoSigner } from '../signing';
import { XyoBoundWitness } from './xyo-bound-witness';
export declare class XyoZigZagBoundWitness extends XyoBoundWitness {
    private signers;
    private signedPayload;
    private unsignedPayload;
    private hasSentFetter;
    constructor(signers: XyoSigner[], signedPayload: XyoStructure[], unsignedPayload: XyoStructure[]);
    incomingData(transfer: XyoIterableStructure | undefined, endpoint: boolean): XyoIterableStructure;
    private getNumberOfWitnessesFromTransfer;
    private getReturnFromIncoming;
    private passAndSign;
    private encodeTransfer;
    private encodeFettersAndWitnessesForTransfer;
    private addTransfer;
    private getPublicKeysOfSigners;
    private signBoundWitness;
}
//# sourceMappingURL=xyo-zig-zag-bound-witness.d.ts.map