/// <reference types="node" />
export interface IXyoHeuristicResolver {
    resolve(heuristic: Buffer): IXyoHumanHeuristic;
}
export interface IXyoHumanHeuristic {
    name: string;
    value: any;
}
export declare class XyoHumanHeuristicResolver {
    static addResolvers(resolvers: {
        id: number;
        resolver: IXyoHeuristicResolver;
    }[]): void;
    static addResolver(forId: number, resolver: IXyoHeuristicResolver): void;
    static removeResolver(forId: number): void;
    static resolve(any: Buffer): IXyoHumanHeuristic;
    private static resolvers;
}
//# sourceMappingURL=xyo-heuristic-resolver.d.ts.map