/// <reference types="node" />
import { XyoBase } from '@xyo-network/sdk-base-nodejs';
import net from 'net';
import { XyoTcpPipe } from './xyo-tcp-pipe';
export declare class XyoServerTcpNetwork extends XyoBase {
    onPipeCreated: ((pipe: XyoTcpPipe) => boolean) | undefined;
    server: net.Server;
    port: number;
    constructor(port: number);
    startListening(): void;
    stopListening(): void;
    private connectionListener;
    private onInternalPipeCreated;
}
//# sourceMappingURL=xyo-tcp-server-network.d.ts.map