import { XyoIterator } from './xyo-iterator';
import { XyoSchema } from './xyo-schema';
import { XyoStructure } from './xyo-structure';
export declare class XyoIterableStructure extends XyoStructure {
    static validate(structure: XyoIterableStructure): boolean;
    static toJson(structure: XyoStructure): any[];
    static newIterable(schema: XyoSchema, items: XyoStructure[]): XyoIterableStructure;
    private static encodeUntyped;
    private static encodeTyped;
    private typedSchema;
    newIterator(): XyoIterator;
    getCount(): number;
    get(index: number): XyoStructure;
    getId(id: number): XyoStructure[];
    readItemAtOffset(offset: number): XyoStructure;
    protected addElement(element: XyoStructure): void;
    private readItemUntyped;
    private readItemTyped;
    private readOwnHeader;
}
//# sourceMappingURL=xyo-iterable-structure.d.ts.map