/// <reference types="node" />
import { XyoBase } from '@xyo-network/sdk-base-nodejs';
import { XyoBoundWitness } from '../bound-witness';
import { XyoHasher } from '../hashing';
import { XyoOriginBlockRepository } from '../persist/xyo-origin-block-repository';
import { XyoOriginState } from './xyo-origin-state';
export declare class XyoBoundWitnessInserter extends XyoBase {
    private hasher;
    private state;
    private blockRepository;
    private blockListeners;
    constructor(hasher: XyoHasher, state: XyoOriginState, blockRepo: XyoOriginBlockRepository);
    addBlockListener(key: string, listener: (boundWitness: Buffer) => void): void;
    removeBlockListener(key: string): void;
    insert(boundWitness: XyoBoundWitness): Promise<void>;
    private getNestedObjectType;
    private removeBridgeBlocks;
}
//# sourceMappingURL=xyo-bound-witness-inserter.d.ts.map