/// <reference types="node" />
import { XyoOriginBlockGetter, XyoOriginBlockRepository } from './xyo-origin-block-repository';
export declare class XyoMemoryBlockRepository implements XyoOriginBlockRepository, XyoOriginBlockGetter {
    private blockMapping;
    initialize(): Promise<boolean>;
    removeOriginBlock(hash: Buffer): Promise<void>;
    addOriginBlock(hash: Buffer, block: Buffer): Promise<void>;
    getOriginBlock(hash: Buffer): Promise<Buffer | undefined>;
    addOriginBlocks(hashes: Buffer, blocks: Buffer): Promise<void>;
    getOriginBlocks(_limit?: number, _offset?: Buffer): Promise<{
        items: Buffer[];
        total: number;
    }>;
}
//# sourceMappingURL=xyo-memory-block-repository.d.ts.map