/// <reference types="node" />
declare abstract class XyoOriginBlockGetter {
    abstract initialize(): Promise<boolean>;
    abstract getOriginBlock(hash: Buffer): Promise<Buffer | undefined>;
    abstract getOriginBlocks(limit?: number, offset?: Buffer): Promise<{
        items: Buffer[];
        total: number;
    }>;
}
export default XyoOriginBlockGetter;
//# sourceMappingURL=OriginBlockGetter.d.ts.map