/// <reference types="node" />
import { XyoStructure } from '../object-model';
declare abstract class XyoSigner {
    abstract sign(data: Buffer): XyoStructure;
    abstract getPublicKey(): XyoStructure;
    abstract getPrivateKey(): XyoStructure;
}
export declare type XyoSignatureVerify = (publicKey: Buffer, signature: Buffer, data: Buffer) => Promise<boolean>;
export default XyoSigner;
//# sourceMappingURL=xyo-signer.d.ts.map