import { XyoNetworkHandler } from '../network/xyo-network-handler';
import XyoProcedureCatalog from '../network/xyo-procedure-catalog';
import XyoPayloadConstructor from '../origin/xyo-payload-constructor';
import { XyoSigner } from '../signing';
import { XyoBoundWitness } from './xyo-bound-witness';
import XyoBoundWitnessHander from './xyo-bound-witness-handler';
export declare class XyoZigZagBoundWitnessHander extends XyoBoundWitnessHander {
    private payloadProvider;
    private currentBoundWitnessSession;
    constructor(payloadProvider: XyoPayloadConstructor);
    boundWitness(handler: XyoNetworkHandler, catalogue: XyoProcedureCatalog, signers: XyoSigner[]): Promise<XyoBoundWitness | undefined>;
    private handleBoundWitness;
}
//# sourceMappingURL=xyo-zig-zag-bound-witness-handler.d.ts.map