/// <reference types="node" />
import { XyoNetworkHandler } from '../network/xyo-network-handler';
import { XyoIterableStructure, XyoStructure } from '../object-model';
import { XyoSigner } from '../signing';
import { XyoZigZagBoundWitness } from './xyo-zig-zag-bound-witness';
export declare class XyoZigZagBoundWitnessSession extends XyoZigZagBoundWitness {
    private handler;
    private choice;
    private cycles;
    constructor(handler: XyoNetworkHandler, signedPayload: XyoStructure[], unsignedPayload: XyoStructure[], signers: XyoSigner[], choice: Buffer);
    doBoundWitness(transfer: XyoIterableStructure | undefined): Promise<void>;
    private sendAndReceive;
}
//# sourceMappingURL=xyo-zig-zag-bound-witness-session.d.ts.map