/// <reference types="node" />
import { XyoBase } from '@xyo-network/sdk-base-nodejs';
import net from 'net';
import { XyoAdvertisePacket } from '../xyo-advertise-packet';
import XyoNetworkPipe from '../xyo-network-pipe';
export declare class XyoTcpPipe extends XyoBase implements XyoNetworkPipe {
    private socket;
    private initData;
    constructor(socket: net.Socket, initData: XyoAdvertisePacket | undefined);
    getInitiationData(): XyoAdvertisePacket | undefined;
    send(data: Buffer, waitForResponse: boolean): Promise<Buffer | undefined>;
    close(): Promise<void>;
    private waitForMessage;
    private sendData;
}
//# sourceMappingURL=xyo-tcp-pipe.d.ts.map