"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoAdvertisePacket = void 0;
class XyoAdvertisePacket {
    constructor(data) {
        this.data = data;
    }
    getChoice() {
        if (this.data.length === 0) {
            throw new Error('getChoice: Out of index, can`t be 0');
        }
        const sizeOfChoice = this.data.readUInt8(0);
        if (sizeOfChoice + 1 > this.data.length) {
            throw new Error('getChoice: Out of index!');
        }
        return this.data.slice(1, sizeOfChoice + 1);
    }
}
exports.XyoAdvertisePacket = XyoAdvertisePacket;
//# sourceMappingURL=xyo-advertise-packet.js.map