"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoCatalogFlags = void 0;
class XyoCatalogFlags {
    static flip(flags) {
        if (flags.length === 0) {
            return flags;
        }
        if ((flags[0] & XyoCatalogFlags.TAKE_ORIGIN_CHAIN) !== 0) {
            return new Buffer([XyoCatalogFlags.GIVE_ORIGIN_CHAIN]);
        }
        if ((flags[0] & XyoCatalogFlags.GIVE_ORIGIN_CHAIN) !== 0) {
            return new Buffer([XyoCatalogFlags.TAKE_ORIGIN_CHAIN]);
        }
        return new Buffer([XyoCatalogFlags.BOUND_WITNESS]);
    }
}
exports.XyoCatalogFlags = XyoCatalogFlags;
XyoCatalogFlags.BOUND_WITNESS = 1;
XyoCatalogFlags.TAKE_ORIGIN_CHAIN = 2;
XyoCatalogFlags.GIVE_ORIGIN_CHAIN = 4;
//# sourceMappingURL=xyo-catalog-flags.js.map