"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoSizeUtil = void 0;
const xyo_size_1 = require("./xyo-size");
class XyoSizeUtil {
    static getBestSize(size) {
        if (size + 1 < Math.pow(2, 8)) {
            return xyo_size_1.XyoSize.ONE;
        }
        if (size + 2 < Math.pow(2, 16)) {
            return xyo_size_1.XyoSize.TWO;
        }
        if (size + 4 < Math.pow(2, 32)) {
            return xyo_size_1.XyoSize.FOUR;
        }
        return xyo_size_1.XyoSize.EIGHT;
    }
}
exports.XyoSizeUtil = XyoSizeUtil;
//# sourceMappingURL=size-util.js.map