/// <reference types="node" />
export declare class XyoBuffer {
    static wrap(buffer: XyoBuffer, startOffset: number, endOffset: number): XyoBuffer;
    startOffset: number;
    endOffset: number;
    rootBuffer: Buffer;
    constructor(buffer: Buffer, startOffset?: number, endOffset?: number);
    getSize(): number;
    getUInt8(offset: number): number;
    getUInt16BE(offset: number): number;
    getUInt32BE(offset: number): number;
    getUInt64BE(offset: number): number;
    getContentsCopy(): Buffer;
    copyRangeOf(from: number, to: number): XyoBuffer;
}
//# sourceMappingURL=xyo-buffer.d.ts.map