/// <reference types="node" />
import { XyoBuffer } from './xyo-buffer';
import { XyoSchema } from './xyo-schema';
import { XyoSize } from './xyo-size';
export declare class XyoStructure {
    static encode(schema: XyoSchema, value: XyoBuffer): XyoBuffer;
    static newInstance(schema: XyoSchema, value: XyoBuffer): XyoStructure;
    protected contents: XyoBuffer;
    private overrideSchema;
    constructor(contents: XyoBuffer | Buffer, overrideSchema?: XyoSchema);
    getSchema(): XyoSchema;
    getValue(): XyoBuffer;
    getAll(): XyoBuffer;
    protected readSchema(offset: number): XyoSchema;
    protected checkIndex(index: number): void;
    protected readSize(size: XyoSize, offset: number): number;
}
//# sourceMappingURL=xyo-structure.d.ts.map