"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XyoObjectSchema = void 0;
const object_model_1 = require("../object-model");
class XyoObjectSchema {
}
exports.XyoObjectSchema = XyoObjectSchema;
XyoObjectSchema.ARRAY_TYPED = new object_model_1.XyoSchema(1, 0xb0);
XyoObjectSchema.ARRAY_UNTYPED = new object_model_1.XyoSchema(1, 0xb0);
XyoObjectSchema.BW = new object_model_1.XyoSchema(2, 0xa0);
XyoObjectSchema.INDEX = new object_model_1.XyoSchema(3, 0x80);
XyoObjectSchema.NEXT_PUBLIC_KEY = new object_model_1.XyoSchema(4, 0x80);
XyoObjectSchema.BRIDGE_BLOCK_SET = new object_model_1.XyoSchema(5, 0xa0);
XyoObjectSchema.BRIDGE_HASH_SET = new object_model_1.XyoSchema(6, 0xb0);
XyoObjectSchema.PAYMENT_KEY = new object_model_1.XyoSchema(7, 0x80);
XyoObjectSchema.PREVIOUS_HASH = new object_model_1.XyoSchema(8, 0xa0);
XyoObjectSchema.EC_SIGNATURE = new object_model_1.XyoSchema(9, 0x80);
XyoObjectSchema.RSA_SIGNATURE = new object_model_1.XyoSchema(10, 0x80);
XyoObjectSchema.STUB_SIGNATURE = new object_model_1.XyoSchema(11, 0x80);
XyoObjectSchema.EC_PUBLIC_KEY = new object_model_1.XyoSchema(12, 0x80);
XyoObjectSchema.RSA_PUBLIC_KEY = new object_model_1.XyoSchema(13, 0x80);
XyoObjectSchema.STUB_PUBLIC_KEY = new object_model_1.XyoSchema(14, 0x80);
XyoObjectSchema.STUB_HASH = new object_model_1.XyoSchema(15, 0x80);
XyoObjectSchema.SHA_256 = new object_model_1.XyoSchema(16, 0x80);
XyoObjectSchema.SHA_3 = new object_model_1.XyoSchema(17, 0x80);
XyoObjectSchema.GPS = new object_model_1.XyoSchema(18, 0xa0);
XyoObjectSchema.RSSI = new object_model_1.XyoSchema(19, 0x80);
XyoObjectSchema.UNIX_TIME = new object_model_1.XyoSchema(20, 0x80);
XyoObjectSchema.FETTER = new object_model_1.XyoSchema(21, 0xa0);
XyoObjectSchema.FETTER_SET = new object_model_1.XyoSchema(22, 0xb0);
XyoObjectSchema.WITNESS = new object_model_1.XyoSchema(23, 0xa0);
XyoObjectSchema.WITNESS_SET = new object_model_1.XyoSchema(24, 0xb0);
XyoObjectSchema.KEY_SET = new object_model_1.XyoSchema(25, 0xa0);
XyoObjectSchema.SIGNATURE_SET = new object_model_1.XyoSchema(26, 0xa0);
XyoObjectSchema.BW_FRAGMENT = new object_model_1.XyoSchema(27, 0xa0);
XyoObjectSchema.LAT = new object_model_1.XyoSchema(28, 0x80);
XyoObjectSchema.LNG = new object_model_1.XyoSchema(29, 0x80);
XyoObjectSchema.BLE_POWER_LEVEL = new object_model_1.XyoSchema(30, 0x80);
XyoObjectSchema.EC_PRIVATE_KEY = new object_model_1.XyoSchema(0xff, 0x80);
//# sourceMappingURL=index.js.map