/// <reference types="node" />
import { XyoStructure } from '../../object-model';
import XyoSigner, { XyoSignatureVerify } from '../xyo-signer';
export declare class XyoSecp2556k1 implements XyoSigner {
    static verify: XyoSignatureVerify;
    private static buildDerSignature;
    private key;
    constructor(key?: Buffer);
    sign(data: Buffer): XyoStructure;
    getPublicKey(): XyoStructure;
    getPrivateKey(): XyoStructure;
    private writePointTo32ByteBuffer;
}
//# sourceMappingURL=xyo-secp256k1.d.ts.map