import { XyoStructure } from '../object-model';
import XyoOriginStateRepository from '../persist/xyo-origin-state-repository';
import XyoSigner from '../signing/xyo-signer';
export declare class XyoRamOriginStateRepository implements XyoOriginStateRepository {
    private indexCache;
    private previousHashCache;
    private signersCache;
    addSigner(signer: XyoSigner): void;
    removeOldestSigner(): void;
    putIndex(index: XyoStructure): void;
    putPreviousHash(previousHash: XyoStructure): void;
    getIndex(): XyoStructure | undefined;
    getPreviousHash(): XyoStructure | undefined;
    getSigners(): XyoSigner[];
    commit(): Promise<void>;
}
//# sourceMappingURL=xyo-ram-origin-state-repository.d.ts.map