/// <reference types="node" />
import { XyoStructure } from '../object-model';
import XyoSigner, { XyoSignatureVerify } from '../signing/xyo-signer';
export declare class XyoStubSigner implements XyoSigner {
    static verify: XyoSignatureVerify;
    private key;
    constructor(key?: Buffer);
    sign(data: Buffer): XyoStructure;
    getPublicKey(): XyoStructure;
    getPrivateKey(): XyoStructure;
}
//# sourceMappingURL=xyo-stub-signature.d.ts.map